<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (13.0.2) on Mon Apr 13 03:43:20 BRT 2020 -->
<title>Serialized Form</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-13">
<meta name="description" content="serialized forms">
<meta name="generator" content="javadoc/SerializedFormWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="serialized-form">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<section class="serializedPackageContainer">
<h2 title="Package">Package&nbsp;eu.systemsengineer.fjcapeletto.model.impl</h2>
<ul class="blockList">
<li class="blockList">
<section class="serializedClassDetails"><a id="eu.systemsengineer.fjcapeletto.model.impl.CarImpl">
<!--   -->
</a>
<h3>Class <a href="eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html" title="class in eu.systemsengineer.fjcapeletto.model.impl">eu.systemsengineer.fjcapeletto.model.impl.CarImpl</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>carColor</h5>
<pre>java.awt.Color carColor</pre>
</li>
<li class="blockList">
<h5>carIconFile</h5>
<pre>java.lang.String carIconFile</pre>
</li>
<li class="blockList">
<h5>carId</h5>
<pre>int carId</pre>
</li>
<li class="blockList">
<h5>carName</h5>
<pre>java.lang.String carName</pre>
</li>
<li class="blockList">
<h5>carVerticalSize</h5>
<pre>int carVerticalSize</pre>
</li>
<li class="blockList">
<h5>courses</h5>
<pre>java.util.Map&lt;java.lang.Integer,&#8203;java.lang.Float&gt; courses</pre>
</li>
<li class="blockList">
<h5>indexPosition</h5>
<pre>int indexPosition</pre>
</li>
<li class="blockList">
<h5>lastCourse</h5>
<pre>float lastCourse</pre>
</li>
<li class="blockList">
<h5>lastLatitude</h5>
<pre>double lastLatitude</pre>
</li>
<li class="blockList">
<h5>lastLongitude</h5>
<pre>double lastLongitude</pre>
</li>
<li class="blockList">
<h5>lastSpeed</h5>
<pre>float lastSpeed</pre>
</li>
<li class="blockList">
<h5>latitudes</h5>
<pre>java.util.Map&lt;java.lang.Integer,&#8203;java.lang.Double&gt; latitudes</pre>
</li>
<li class="blockList">
<h5>longitudes</h5>
<pre>java.util.Map&lt;java.lang.Integer,&#8203;java.lang.Double&gt; longitudes</pre>
</li>
<li class="blockList">
<h5>nbPositions</h5>
<pre>int nbPositions</pre>
</li>
<li class="blockList">
<h5>parkingLatitude</h5>
<pre>double parkingLatitude</pre>
</li>
<li class="blockList">
<h5>parkingLongitude</h5>
<pre>double parkingLongitude</pre>
</li>
<li class="blockList">
<h5>speeds</h5>
<pre>java.util.Map&lt;java.lang.Integer,&#8203;java.lang.Float&gt; speeds</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
